document: modulemd
version: 2
data:
    name: nvidia-driver
    stream: latest-dkms
    version: 20250123123829
    context: 865b220d22
    arch: x86_64
    summary: Nvidia driver for latest-dkms branch
    description: >-
        This package provides the most recent NVIDIA display driver which allows for hardware accelerated rendering with recent NVIDIA chipsets.
        
        For the full product support list, please consult the release notes for driver version 570.86.10.
    license:
        module:
            - MIT
    artifacts:
        rpms:
            - libnvidia-cfg-3:570.86.10-1.amzn2023.x86_64
            - libnvidia-ml-3:570.86.10-1.amzn2023.x86_64
            - nvidia-driver-cuda-3:570.86.10-1.amzn2023.x86_64
            - nvidia-driver-cuda-libs-3:570.86.10-1.amzn2023.x86_64
            - nvidia-kmod-common-3:570.86.10-1.amzn2023.noarch
            - nvidia-modprobe-3:570.86.10-1.amzn2023.x86_64
            - nvidia-persistenced-3:570.86.10-1.amzn2023.x86_64
            - nvidia-fabric-manager-0:570.86.10-1.x86_64
            - cuda-drivers-3:570.86.10-1.amzn2023.x86_64
            - kmod-nvidia-latest-dkms-3:570.86.10-1.amzn2023.x86_64
    profiles:
        default:
            description: Default installation
            rpms:
                - libnvidia-cfg
                - libnvidia-ml
                - nvidia-driver-cuda
                - nvidia-driver-cuda-libs
                - nvidia-kmod-common
                - nvidia-modprobe
                - nvidia-persistenced
                - kmod-nvidia-latest-dkms
        fm:
            description: FabricManager installation
            rpms:
                - libnvidia-cfg
                - libnvidia-ml
                - nvidia-driver-cuda
                - nvidia-driver-cuda-libs
                - nvidia-kmod-common
                - nvidia-modprobe
                - nvidia-persistenced
                - kmod-nvidia-latest-dkms
                - nvidia-fabric-manager
                - libnvidia-nscq-570
        ks:
            description: Installation via kickstart
            rpms:
                - libnvidia-cfg
                - libnvidia-ml
                - nvidia-driver-cuda
                - nvidia-driver-cuda-libs
                - nvidia-kmod-common
                - nvidia-modprobe
                - nvidia-persistenced
                - kmod-nvidia-latest-dkms
...
---
document: modulemd
version: 2
data:
    name: nvidia-driver
    stream: open-dkms
    version: 20250123123829
    context: f84b3aae7b
    arch: x86_64
    summary: Nvidia driver for open-dkms branch
    description: >-
        This package provides the most recent NVIDIA display driver which allows for hardware accelerated rendering with recent NVIDIA chipsets.
        
        For the full product support list, please consult the release notes for driver version 570.86.10.
    license:
        module:
            - MIT
    artifacts:
        rpms:
            - libnvidia-cfg-3:570.86.10-1.amzn2023.x86_64
            - libnvidia-ml-3:570.86.10-1.amzn2023.x86_64
            - nvidia-driver-cuda-3:570.86.10-1.amzn2023.x86_64
            - nvidia-driver-cuda-libs-3:570.86.10-1.amzn2023.x86_64
            - nvidia-kmod-common-3:570.86.10-1.amzn2023.noarch
            - nvidia-modprobe-3:570.86.10-1.amzn2023.x86_64
            - nvidia-persistenced-3:570.86.10-1.amzn2023.x86_64
            - nvidia-fabric-manager-0:570.86.10-1.x86_64
            - kmod-nvidia-open-dkms-3:570.86.10-1.amzn2023.noarch
            - nvidia-open-3:570.86.10-1.amzn2023.noarch
    profiles:
        default:
            description: Default installation
            rpms:
                - libnvidia-cfg
                - libnvidia-ml
                - nvidia-driver-cuda
                - nvidia-driver-cuda-libs
                - nvidia-kmod-common
                - nvidia-modprobe
                - nvidia-persistenced
                - kmod-nvidia-open-dkms
        src:
            description: Source files for compiling open kernel modules
            rpms:
                - nvidia-kmod-source
        fm:
            description: FabricManager installation
            rpms:
                - libnvidia-cfg
                - libnvidia-ml
                - nvidia-driver-cuda
                - nvidia-driver-cuda-libs
                - nvidia-kmod-common
                - nvidia-modprobe
                - nvidia-persistenced
                - kmod-nvidia-open-dkms
                - nvidia-fabric-manager
                - libnvidia-nscq-570
        ks:
            description: Installation via kickstart
            rpms:
                - libnvidia-cfg
                - libnvidia-ml
                - nvidia-driver-cuda
                - nvidia-driver-cuda-libs
                - nvidia-kmod-common
                - nvidia-modprobe
                - nvidia-persistenced
                - kmod-nvidia-open-dkms
...
---
document: modulemd
version: 2
data:
    name: nvidia-driver
    stream: 570-dkms
    version: 20250123123829
    context: 06953e3e0f
    arch: x86_64
    summary: Nvidia driver for 570-dkms branch
    description: >-
        This package provides the most recent NVIDIA display driver which allows for hardware accelerated rendering with recent NVIDIA chipsets.
        
        For the full product support list, please consult the release notes for driver version 570.86.10.
    license:
        module:
            - MIT
    artifacts:
        rpms:
            - libnvidia-cfg-3:570.86.10-1.amzn2023.x86_64
            - libnvidia-ml-3:570.86.10-1.amzn2023.x86_64
            - nvidia-driver-cuda-3:570.86.10-1.amzn2023.x86_64
            - nvidia-driver-cuda-libs-3:570.86.10-1.amzn2023.x86_64
            - nvidia-kmod-common-3:570.86.10-1.amzn2023.noarch
            - nvidia-modprobe-3:570.86.10-1.amzn2023.x86_64
            - nvidia-persistenced-3:570.86.10-1.amzn2023.x86_64
            - nvidia-fabric-manager-0:570.86.10-1.x86_64
            - cuda-drivers-3:570.86.10-1.amzn2023.x86_64
            - kmod-nvidia-latest-dkms-3:570.86.10-1.amzn2023.x86_64
    profiles:
        default:
            description: Default installation
            rpms:
                - libnvidia-cfg
                - libnvidia-ml
                - nvidia-driver-cuda
                - nvidia-driver-cuda-libs
                - nvidia-kmod-common
                - nvidia-modprobe
                - nvidia-persistenced
                - kmod-nvidia-latest-dkms
        fm:
            description: FabricManager installation
            rpms:
                - libnvidia-cfg
                - libnvidia-ml
                - nvidia-driver-cuda
                - nvidia-driver-cuda-libs
                - nvidia-kmod-common
                - nvidia-modprobe
                - nvidia-persistenced
                - kmod-nvidia-latest-dkms
                - nvidia-fabric-manager
                - libnvidia-nscq-570
        ks:
            description: Installation via kickstart
            rpms:
                - libnvidia-cfg
                - libnvidia-ml
                - nvidia-driver-cuda
                - nvidia-driver-cuda-libs
                - nvidia-kmod-common
                - nvidia-modprobe
                - nvidia-persistenced
                - kmod-nvidia-latest-dkms
...
---
document: modulemd
version: 2
data:
    name: nvidia-driver
    stream: 570-open
    version: 20250123123829
    context: 67d1a77cc1
    arch: x86_64
    summary: Nvidia driver for 570-open branch
    description: >-
        This package provides the most recent NVIDIA display driver which allows for hardware accelerated rendering with recent NVIDIA chipsets.
        
        For the full product support list, please consult the release notes for driver version 570.86.10.
    license:
        module:
            - MIT
    artifacts:
        rpms:
            - libnvidia-cfg-3:570.86.10-1.amzn2023.x86_64
            - libnvidia-ml-3:570.86.10-1.amzn2023.x86_64
            - nvidia-driver-cuda-3:570.86.10-1.amzn2023.x86_64
            - nvidia-driver-cuda-libs-3:570.86.10-1.amzn2023.x86_64
            - nvidia-kmod-common-3:570.86.10-1.amzn2023.noarch
            - nvidia-modprobe-3:570.86.10-1.amzn2023.x86_64
            - nvidia-persistenced-3:570.86.10-1.amzn2023.x86_64
            - nvidia-fabric-manager-0:570.86.10-1.x86_64
            - kmod-nvidia-open-dkms-3:570.86.10-1.amzn2023.noarch
            - nvidia-open-3:570.86.10-1.amzn2023.noarch
    profiles:
        default:
            description: Default installation
            rpms:
                - libnvidia-cfg
                - libnvidia-ml
                - nvidia-driver-cuda
                - nvidia-driver-cuda-libs
                - nvidia-kmod-common
                - nvidia-modprobe
                - nvidia-persistenced
                - kmod-nvidia-open-dkms
        src:
            description: Source files for compiling open kernel modules
            rpms:
                - nvidia-kmod-source
        fm:
            description: FabricManager installation
            rpms:
                - libnvidia-cfg
                - libnvidia-ml
                - nvidia-driver-cuda
                - nvidia-driver-cuda-libs
                - nvidia-kmod-common
                - nvidia-modprobe
                - nvidia-persistenced
                - kmod-nvidia-open-dkms
                - nvidia-fabric-manager
                - libnvidia-nscq-570
        ks:
            description: Installation via kickstart
            rpms:
                - libnvidia-cfg
                - libnvidia-ml
                - nvidia-driver-cuda
                - nvidia-driver-cuda-libs
                - nvidia-kmod-common
                - nvidia-modprobe
                - nvidia-persistenced
                - kmod-nvidia-open-dkms
...
---
document: modulemd
version: 2
data:
    name: nvidia-driver
    stream: 565-dkms
    version: 20250123123829
    context: d81b7641ff
    arch: x86_64
    summary: Nvidia driver for 565-dkms branch
    description: >-
        This package provides the most recent NVIDIA display driver which allows for hardware accelerated rendering with recent NVIDIA chipsets.
        
        For the full product support list, please consult the release notes for driver version 565.57.01.
    license:
        module:
            - MIT
    artifacts:
        rpms:
            - libnvidia-cfg-3:565.57.01-1.amzn2023.x86_64
            - libnvidia-ml-3:565.57.01-1.amzn2023.x86_64
            - nvidia-driver-cuda-3:565.57.01-1.amzn2023.x86_64
            - nvidia-driver-cuda-libs-3:565.57.01-1.amzn2023.x86_64
            - nvidia-kmod-common-3:565.57.01-1.amzn2023.noarch
            - nvidia-modprobe-3:565.57.01-1.amzn2023.x86_64
            - nvidia-persistenced-3:565.57.01-1.amzn2023.x86_64
            - nvidia-fabric-manager-0:565.57.01-1.x86_64
            - cuda-drivers-3:565.57.01-1.amzn2023.x86_64
            - kmod-nvidia-latest-dkms-3:565.57.01-1.amzn2023.x86_64
            - nvidia-kmod-headers-3:565.57.01-1.amzn2023.x86_64
    profiles:
        default:
            description: Default installation
            rpms:
                - libnvidia-cfg
                - libnvidia-ml
                - nvidia-driver-cuda
                - nvidia-driver-cuda-libs
                - nvidia-kmod-common
                - nvidia-modprobe
                - nvidia-persistenced
                - kmod-nvidia-latest-dkms
        fm:
            description: FabricManager installation
            rpms:
                - libnvidia-cfg
                - libnvidia-ml
                - nvidia-driver-cuda
                - nvidia-driver-cuda-libs
                - nvidia-kmod-common
                - nvidia-modprobe
                - nvidia-persistenced
                - kmod-nvidia-latest-dkms
                - nvidia-fabric-manager
                - libnvidia-nscq-565
        ks:
            description: Installation via kickstart
            rpms:
                - libnvidia-cfg
                - libnvidia-ml
                - nvidia-driver-cuda
                - nvidia-driver-cuda-libs
                - nvidia-kmod-common
                - nvidia-modprobe
                - nvidia-persistenced
                - kmod-nvidia-latest-dkms
...
---
document: modulemd
version: 2
data:
    name: nvidia-driver
    stream: 565-open
    version: 20250123123829
    context: be0906252d
    arch: x86_64
    summary: Nvidia driver for 565-open branch
    description: >-
        This package provides the most recent NVIDIA display driver which allows for hardware accelerated rendering with recent NVIDIA chipsets.
        
        For the full product support list, please consult the release notes for driver version 565.57.01.
    license:
        module:
            - MIT
    artifacts:
        rpms:
            - libnvidia-cfg-3:565.57.01-1.amzn2023.x86_64
            - libnvidia-ml-3:565.57.01-1.amzn2023.x86_64
            - nvidia-driver-cuda-3:565.57.01-1.amzn2023.x86_64
            - nvidia-driver-cuda-libs-3:565.57.01-1.amzn2023.x86_64
            - nvidia-kmod-common-3:565.57.01-1.amzn2023.noarch
            - nvidia-modprobe-3:565.57.01-1.amzn2023.x86_64
            - nvidia-persistenced-3:565.57.01-1.amzn2023.x86_64
            - nvidia-fabric-manager-0:565.57.01-1.x86_64
            - kmod-nvidia-open-dkms-3:565.57.01-1.amzn2023.x86_64
            - nvidia-kmod-source-3:565.57.01-1.amzn2023.x86_64
            - nvidia-open-3:565.57.01-1.amzn2023.noarch
    profiles:
        default:
            description: Default installation
            rpms:
                - libnvidia-cfg
                - libnvidia-ml
                - nvidia-driver-cuda
                - nvidia-driver-cuda-libs
                - nvidia-kmod-common
                - nvidia-modprobe
                - nvidia-persistenced
                - kmod-nvidia-open-dkms
        src:
            description: Source files for compiling open kernel modules
            rpms:
                - nvidia-kmod-source
        fm:
            description: FabricManager installation
            rpms:
                - libnvidia-cfg
                - libnvidia-ml
                - nvidia-driver-cuda
                - nvidia-driver-cuda-libs
                - nvidia-kmod-common
                - nvidia-modprobe
                - nvidia-persistenced
                - kmod-nvidia-open-dkms
                - nvidia-fabric-manager
                - libnvidia-nscq-565
        ks:
            description: Installation via kickstart
            rpms:
                - libnvidia-cfg
                - libnvidia-ml
                - nvidia-driver-cuda
                - nvidia-driver-cuda-libs
                - nvidia-kmod-common
                - nvidia-modprobe
                - nvidia-persistenced
                - kmod-nvidia-open-dkms
...
---
document: modulemd
version: 2
data:
    name: nvidia-driver
    stream: 560-dkms
    version: 20250123123829
    context: 1a437d2f9c
    arch: x86_64
    summary: Nvidia driver for 560-dkms branch
    description: >-
        This package provides the most recent NVIDIA display driver which allows for hardware accelerated rendering with recent NVIDIA chipsets.
        
        For the full product support list, please consult the release notes for driver version 560.35.05.
    license:
        module:
            - MIT
    artifacts:
        rpms:
            - libnvidia-cfg-3:560.35.05-1.amzn2023.x86_64
            - libnvidia-cfg-3:560.35.03-1.amzn2023.x86_64
            - libnvidia-cfg-3:560.28.03-1.amzn2023.x86_64
            - libnvidia-ml-3:560.35.05-1.amzn2023.x86_64
            - libnvidia-ml-3:560.35.03-1.amzn2023.x86_64
            - libnvidia-ml-3:560.28.03-1.amzn2023.x86_64
            - nvidia-driver-cuda-3:560.35.05-1.amzn2023.x86_64
            - nvidia-driver-cuda-3:560.35.03-1.amzn2023.x86_64
            - nvidia-driver-cuda-3:560.28.03-1.amzn2023.x86_64
            - nvidia-driver-cuda-libs-3:560.35.05-1.amzn2023.x86_64
            - nvidia-driver-cuda-libs-3:560.35.03-1.amzn2023.x86_64
            - nvidia-driver-cuda-libs-3:560.28.03-1.amzn2023.x86_64
            - nvidia-kmod-common-3:560.35.05-1.amzn2023.noarch
            - nvidia-kmod-common-3:560.35.03-1.amzn2023.noarch
            - nvidia-kmod-common-3:560.28.03-1.amzn2023.noarch
            - nvidia-modprobe-3:560.35.05-1.amzn2023.x86_64
            - nvidia-modprobe-3:560.35.03-1.amzn2023.x86_64
            - nvidia-modprobe-3:560.28.03-1.amzn2023.x86_64
            - nvidia-persistenced-3:560.35.05-1.amzn2023.x86_64
            - nvidia-persistenced-3:560.35.03-1.amzn2023.x86_64
            - nvidia-persistenced-3:560.28.03-1.amzn2023.x86_64
            - nvidia-fabric-manager-0:560.35.05-1.x86_64
            - nvidia-fabric-manager-0:560.35.03-1.x86_64
            - nvidia-fabric-manager-0:560.28.03-1.x86_64
            - cuda-drivers-3:560.35.05-1.amzn2023.x86_64
            - cuda-drivers-3:560.35.03-1.x86_64
            - cuda-drivers-3:560.28.03-1.x86_64
            - kmod-nvidia-latest-dkms-3:560.35.05-1.amzn2023.x86_64
            - kmod-nvidia-latest-dkms-3:560.35.03-1.amzn2023.x86_64
            - kmod-nvidia-latest-dkms-3:560.28.03-1.amzn2023.x86_64
            - nvidia-kmod-headers-3:560.35.05-1.amzn2023.x86_64
            - nvidia-kmod-headers-3:560.35.03-1.amzn2023.x86_64
            - nvidia-kmod-headers-3:560.28.03-1.amzn2023.x86_64
    profiles:
        default:
            description: Default installation
            rpms:
                - libnvidia-cfg
                - libnvidia-ml
                - nvidia-driver-cuda
                - nvidia-driver-cuda-libs
                - nvidia-kmod-common
                - nvidia-modprobe
                - nvidia-persistenced
                - kmod-nvidia-latest-dkms
        fm:
            description: FabricManager installation
            rpms:
                - libnvidia-cfg
                - libnvidia-ml
                - nvidia-driver-cuda
                - nvidia-driver-cuda-libs
                - nvidia-kmod-common
                - nvidia-modprobe
                - nvidia-persistenced
                - kmod-nvidia-latest-dkms
                - nvidia-fabric-manager
                - libnvidia-nscq-560
        ks:
            description: Installation via kickstart
            rpms:
                - libnvidia-cfg
                - libnvidia-ml
                - nvidia-driver-cuda
                - nvidia-driver-cuda-libs
                - nvidia-kmod-common
                - nvidia-modprobe
                - nvidia-persistenced
                - kmod-nvidia-latest-dkms
...
---
document: modulemd
version: 2
data:
    name: nvidia-driver
    stream: 560-open
    version: 20250123123829
    context: 8261ec8421
    arch: x86_64
    summary: Nvidia driver for 560-open branch
    description: >-
        This package provides the most recent NVIDIA display driver which allows for hardware accelerated rendering with recent NVIDIA chipsets.
        
        For the full product support list, please consult the release notes for driver version 560.35.05.
    license:
        module:
            - MIT
    artifacts:
        rpms:
            - libnvidia-cfg-3:560.35.05-1.amzn2023.x86_64
            - libnvidia-cfg-3:560.35.03-1.amzn2023.x86_64
            - libnvidia-cfg-3:560.28.03-1.amzn2023.x86_64
            - libnvidia-ml-3:560.35.05-1.amzn2023.x86_64
            - libnvidia-ml-3:560.35.03-1.amzn2023.x86_64
            - libnvidia-ml-3:560.28.03-1.amzn2023.x86_64
            - nvidia-driver-cuda-3:560.35.05-1.amzn2023.x86_64
            - nvidia-driver-cuda-3:560.35.03-1.amzn2023.x86_64
            - nvidia-driver-cuda-3:560.28.03-1.amzn2023.x86_64
            - nvidia-driver-cuda-libs-3:560.35.05-1.amzn2023.x86_64
            - nvidia-driver-cuda-libs-3:560.35.03-1.amzn2023.x86_64
            - nvidia-driver-cuda-libs-3:560.28.03-1.amzn2023.x86_64
            - nvidia-kmod-common-3:560.35.05-1.amzn2023.noarch
            - nvidia-kmod-common-3:560.35.03-1.amzn2023.noarch
            - nvidia-kmod-common-3:560.28.03-1.amzn2023.noarch
            - nvidia-modprobe-3:560.35.05-1.amzn2023.x86_64
            - nvidia-modprobe-3:560.35.03-1.amzn2023.x86_64
            - nvidia-modprobe-3:560.28.03-1.amzn2023.x86_64
            - nvidia-persistenced-3:560.35.05-1.amzn2023.x86_64
            - nvidia-persistenced-3:560.35.03-1.amzn2023.x86_64
            - nvidia-persistenced-3:560.28.03-1.amzn2023.x86_64
            - nvidia-fabric-manager-0:560.35.05-1.x86_64
            - nvidia-fabric-manager-0:560.35.03-1.x86_64
            - nvidia-fabric-manager-0:560.28.03-1.x86_64
            - kmod-nvidia-open-dkms-3:560.35.05-1.amzn2023.x86_64
            - kmod-nvidia-open-dkms-3:560.35.03-1.amzn2023.x86_64
            - kmod-nvidia-open-dkms-3:560.28.03-1.amzn2023.x86_64
            - nvidia-kmod-source-3:560.35.05-1.amzn2023.x86_64
            - nvidia-kmod-source-3:560.35.03-1.amzn2023.x86_64
            - nvidia-kmod-source-3:560.28.03-1.amzn2023.x86_64
            - nvidia-open-3:560.35.05-1.amzn2023.noarch
            - nvidia-open-3:560.35.03-1.noarch
            - nvidia-open-3:560.28.03-1.noarch
    profiles:
        default:
            description: Default installation
            rpms:
                - libnvidia-cfg
                - libnvidia-ml
                - nvidia-driver-cuda
                - nvidia-driver-cuda-libs
                - nvidia-kmod-common
                - nvidia-modprobe
                - nvidia-persistenced
                - kmod-nvidia-open-dkms
        src:
            description: Source files for compiling open kernel modules
            rpms:
                - nvidia-kmod-source
        fm:
            description: FabricManager installation
            rpms:
                - libnvidia-cfg
                - libnvidia-ml
                - nvidia-driver-cuda
                - nvidia-driver-cuda-libs
                - nvidia-kmod-common
                - nvidia-modprobe
                - nvidia-persistenced
                - kmod-nvidia-open-dkms
                - nvidia-fabric-manager
                - libnvidia-nscq-560
        ks:
            description: Installation via kickstart
            rpms:
                - libnvidia-cfg
                - libnvidia-ml
                - nvidia-driver-cuda
                - nvidia-driver-cuda-libs
                - nvidia-kmod-common
                - nvidia-modprobe
                - nvidia-persistenced
                - kmod-nvidia-open-dkms
...
---
document: modulemd
version: 2
data:
    name: nvidia-driver
    stream: 555-dkms
    version: 20250123123829
    context: e340109f08
    arch: x86_64
    summary: Nvidia driver for 555-dkms branch
    description: >-
        This package provides the most recent NVIDIA display driver which allows for hardware accelerated rendering with recent NVIDIA chipsets.
        
        For the full product support list, please consult the release notes for driver version 555.42.06.
    license:
        module:
            - MIT
    artifacts:
        rpms:
            - nvidia-driver-3:555.42.06-1.amzn2023.x86_64
            - nvidia-driver-3:555.42.02-1.amzn2023.x86_64
            - nvidia-driver-NVML-3:555.42.06-1.amzn2023.x86_64
            - nvidia-driver-NVML-3:555.42.02-1.amzn2023.x86_64
            - nvidia-driver-NvFBCOpenGL-3:555.42.06-1.amzn2023.x86_64
            - nvidia-driver-NvFBCOpenGL-3:555.42.02-1.amzn2023.x86_64
            - nvidia-driver-cuda-3:555.42.06-1.amzn2023.x86_64
            - nvidia-driver-cuda-3:555.42.02-1.amzn2023.x86_64
            - nvidia-driver-cuda-libs-3:555.42.06-1.amzn2023.x86_64
            - nvidia-driver-cuda-libs-3:555.42.02-1.amzn2023.x86_64
            - nvidia-driver-devel-3:555.42.06-1.amzn2023.x86_64
            - nvidia-driver-devel-3:555.42.02-1.amzn2023.x86_64
            - nvidia-driver-libs-3:555.42.06-1.amzn2023.x86_64
            - nvidia-driver-libs-3:555.42.02-1.amzn2023.x86_64
            - nvidia-kmod-common-3:555.42.06-1.amzn2023.noarch
            - nvidia-kmod-common-3:555.42.02-1.amzn2023.noarch
            - nvidia-libXNVCtrl-3:555.42.06-1.amzn2023.x86_64
            - nvidia-libXNVCtrl-3:555.42.02-1.amzn2023.x86_64
            - nvidia-libXNVCtrl-devel-3:555.42.06-1.amzn2023.x86_64
            - nvidia-libXNVCtrl-devel-3:555.42.02-1.amzn2023.x86_64
            - nvidia-modprobe-3:555.42.06-2.amzn2023.x86_64
            - nvidia-modprobe-3:555.42.02-2.amzn2023.x86_64
            - nvidia-persistenced-3:555.42.06-1.amzn2023.x86_64
            - nvidia-persistenced-3:555.42.02-1.amzn2023.x86_64
            - nvidia-settings-3:555.42.06-1.amzn2023.x86_64
            - nvidia-settings-3:555.42.02-1.amzn2023.x86_64
            - nvidia-xconfig-3:555.42.06-2.amzn2023.x86_64
            - nvidia-xconfig-3:555.42.02-2.amzn2023.x86_64
            - nvidia-fabric-manager-0:555.42.06-1.x86_64
            - nvidia-fabric-manager-0:555.42.02-1.x86_64
            - cuda-drivers-0:555.42.06-1.x86_64
            - cuda-drivers-0:555.42.02-1.x86_64
            - kmod-nvidia-latest-dkms-3:555.42.06-1.amzn2023.x86_64
            - kmod-nvidia-latest-dkms-3:555.42.02-1.amzn2023.x86_64
            - nvidia-kmod-headers-3:555.42.06-1.amzn2023.x86_64
            - nvidia-kmod-headers-3:555.42.02-1.amzn2023.x86_64
    profiles:
        default:
            description: Default installation
            rpms:
                - nvidia-driver
                - nvidia-driver-NVML
                - nvidia-driver-NvFBCOpenGL
                - nvidia-driver-cuda
                - nvidia-driver-cuda-libs
                - nvidia-driver-devel
                - nvidia-driver-libs
                - nvidia-kmod-common
                - nvidia-libXNVCtrl
                - nvidia-libXNVCtrl-devel
                - nvidia-modprobe
                - nvidia-persistenced
                - nvidia-settings
                - nvidia-xconfig
                - kmod-nvidia-latest-dkms
        fm:
            description: FabricManager installation
            rpms:
                - nvidia-driver
                - nvidia-driver-NVML
                - nvidia-driver-NvFBCOpenGL
                - nvidia-driver-cuda
                - nvidia-driver-cuda-libs
                - nvidia-driver-devel
                - nvidia-driver-libs
                - nvidia-kmod-common
                - nvidia-libXNVCtrl
                - nvidia-libXNVCtrl-devel
                - nvidia-modprobe
                - nvidia-persistenced
                - nvidia-settings
                - nvidia-xconfig
                - kmod-nvidia-latest-dkms
                - nvidia-fabric-manager
                - libnvidia-nscq-555
        ks:
            description: Installation via kickstart
            rpms:
                - nvidia-driver
                - nvidia-driver-NVML
                - nvidia-driver-NvFBCOpenGL
                - nvidia-driver-cuda
                - nvidia-driver-cuda-libs
                - nvidia-driver-devel
                - nvidia-driver-libs
                - nvidia-kmod-common
                - nvidia-libXNVCtrl
                - nvidia-libXNVCtrl-devel
                - nvidia-modprobe
                - nvidia-persistenced
                - nvidia-settings
                - nvidia-xconfig
                - kmod-nvidia-latest-dkms
...
---
document: modulemd
version: 2
data:
    name: nvidia-driver
    stream: 555-open
    version: 20250123123829
    context: cf90c7ddf4
    arch: x86_64
    summary: Nvidia driver for 555-open branch
    description: >-
        This package provides the most recent NVIDIA display driver which allows for hardware accelerated rendering with recent NVIDIA chipsets.
        
        For the full product support list, please consult the release notes for driver version 555.42.06.
    license:
        module:
            - MIT
    artifacts:
        rpms:
            - nvidia-driver-3:555.42.06-1.amzn2023.x86_64
            - nvidia-driver-3:555.42.02-1.amzn2023.x86_64
            - nvidia-driver-NVML-3:555.42.06-1.amzn2023.x86_64
            - nvidia-driver-NVML-3:555.42.02-1.amzn2023.x86_64
            - nvidia-driver-NvFBCOpenGL-3:555.42.06-1.amzn2023.x86_64
            - nvidia-driver-NvFBCOpenGL-3:555.42.02-1.amzn2023.x86_64
            - nvidia-driver-cuda-3:555.42.06-1.amzn2023.x86_64
            - nvidia-driver-cuda-3:555.42.02-1.amzn2023.x86_64
            - nvidia-driver-cuda-libs-3:555.42.06-1.amzn2023.x86_64
            - nvidia-driver-cuda-libs-3:555.42.02-1.amzn2023.x86_64
            - nvidia-driver-devel-3:555.42.06-1.amzn2023.x86_64
            - nvidia-driver-devel-3:555.42.02-1.amzn2023.x86_64
            - nvidia-driver-libs-3:555.42.06-1.amzn2023.x86_64
            - nvidia-driver-libs-3:555.42.02-1.amzn2023.x86_64
            - nvidia-kmod-common-3:555.42.06-1.amzn2023.noarch
            - nvidia-kmod-common-3:555.42.02-1.amzn2023.noarch
            - nvidia-libXNVCtrl-3:555.42.06-1.amzn2023.x86_64
            - nvidia-libXNVCtrl-3:555.42.02-1.amzn2023.x86_64
            - nvidia-libXNVCtrl-devel-3:555.42.06-1.amzn2023.x86_64
            - nvidia-libXNVCtrl-devel-3:555.42.02-1.amzn2023.x86_64
            - nvidia-modprobe-3:555.42.06-2.amzn2023.x86_64
            - nvidia-modprobe-3:555.42.02-2.amzn2023.x86_64
            - nvidia-persistenced-3:555.42.06-1.amzn2023.x86_64
            - nvidia-persistenced-3:555.42.02-1.amzn2023.x86_64
            - nvidia-settings-3:555.42.06-1.amzn2023.x86_64
            - nvidia-settings-3:555.42.02-1.amzn2023.x86_64
            - nvidia-xconfig-3:555.42.06-2.amzn2023.x86_64
            - nvidia-xconfig-3:555.42.02-2.amzn2023.x86_64
            - nvidia-fabric-manager-0:555.42.06-1.x86_64
            - nvidia-fabric-manager-0:555.42.02-1.x86_64
            - kmod-nvidia-open-dkms-3:555.42.06-1.amzn2023.x86_64
            - kmod-nvidia-open-dkms-3:555.42.02-1.amzn2023.x86_64
            - nvidia-kmod-source-3:555.42.06-1.amzn2023.x86_64
            - nvidia-kmod-source-3:555.42.02-1.amzn2023.x86_64
    profiles:
        default:
            description: Default installation
            rpms:
                - nvidia-driver
                - nvidia-driver-NVML
                - nvidia-driver-NvFBCOpenGL
                - nvidia-driver-cuda
                - nvidia-driver-cuda-libs
                - nvidia-driver-devel
                - nvidia-driver-libs
                - nvidia-kmod-common
                - nvidia-libXNVCtrl
                - nvidia-libXNVCtrl-devel
                - nvidia-modprobe
                - nvidia-persistenced
                - nvidia-settings
                - nvidia-xconfig
                - kmod-nvidia-open-dkms
        src:
            description: Source files for compiling open kernel modules
            rpms:
                - nvidia-kmod-source
        fm:
            description: FabricManager installation
            rpms:
                - nvidia-driver
                - nvidia-driver-NVML
                - nvidia-driver-NvFBCOpenGL
                - nvidia-driver-cuda
                - nvidia-driver-cuda-libs
                - nvidia-driver-devel
                - nvidia-driver-libs
                - nvidia-kmod-common
                - nvidia-libXNVCtrl
                - nvidia-libXNVCtrl-devel
                - nvidia-modprobe
                - nvidia-persistenced
                - nvidia-settings
                - nvidia-xconfig
                - kmod-nvidia-open-dkms
                - nvidia-fabric-manager
                - libnvidia-nscq-555
        ks:
            description: Installation via kickstart
            rpms:
                - nvidia-driver
                - nvidia-driver-NVML
                - nvidia-driver-NvFBCOpenGL
                - nvidia-driver-cuda
                - nvidia-driver-cuda-libs
                - nvidia-driver-devel
                - nvidia-driver-libs
                - nvidia-kmod-common
                - nvidia-libXNVCtrl
                - nvidia-libXNVCtrl-devel
                - nvidia-modprobe
                - nvidia-persistenced
                - nvidia-settings
                - nvidia-xconfig
                - kmod-nvidia-open-dkms
...
---
document: modulemd-defaults
version: 1
data:
    module: nvidia-driver
    stream: open-dkms
    profiles:
        latest-dkms: [default]
        open-dkms: [default]
        570-dkms: [default]
        570-open: [default]
        565-dkms: [default]
        565-open: [default]
        560-dkms: [default]
        560-open: [default]
        555-dkms: [default]
        555-open: [default]

